%define tar_ver	1.9

Name:		qtcurve
Version:	1.9.1
Release:	%mkrel 1
Summary:	A set of widget styles for GTK+ and Qt widget toolkits
Group:		Development/KDE and Qt
License:	LGPLv2 or LGPLv3
URL:		https://cgit.kde.org/?p=%{name}
Source0:	https://download.kde.org/stable/qtcurve/%{name}-%{tar_ver}.tar.xz
## upstream patches (master branch)
Patch37:	0037-utils-gtkprops-Remove-unnecessary-constexpr-this-is-.patch
Patch38:	0038-Fix-build-with-Qt-5.15.patch

BuildRequires:	kf5-macros
BuildRequires:	gettext
BuildRequires:	pkgconfig(x11-xcb)

# main metapackage
Requires:	%{name}-gtk2 = %{version}-%{release}
Requires:	%{name}-qt5 = %{version}-%{release}
Requires:	%{name}-kf5 = %{version}-%{release}

%description
The QtCurve style engine for Qt and other toolkits.

%files -f %{name}.lang
%doc AUTHORS Bugs.md README.md TODO.md ChangeLog.md
%license COPYING

#--------------------------------------------------------------------

%package	gtk2
Summary:	QtCurve Theme for GTK+2
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	%{name} = %{version}-%{release}

Obsoletes:	%{_lib}qtcurve-gtk2 < 1.8.16-6

%description	gtk2
QtCurve theme for GTK+2.

%files gtk2
%{_libdir}/gtk-2.0/*/engines/libqtcurve.so
%{_datadir}/themes/QtCurve/

#--------------------------------------------------------------------

%package	qt5
Summary:	QtCurve Theme for Qt5
Group:		Development/KDE and Qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	%{name} = %{version}-%{release}

%description	qt5
QtCurve Theme for Qt5.

%files qt5
%{_qt5_plugindir}/styles/qtcurve.so

#--------------------------------------------------------------------

%package	kf5
Summary:	QtCurve Theme for KF5/Plasma
Group:		Graphical desktop/KDE
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5FrameworkIntegration)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5XmlGui)

Requires:	%{name} = %{version}-%{release}

%description	kf5
QtCurve Theme for KF5/Plasma.

%files kf5
%{_qt5_plugindir}/kstyle_qtcurve5_config.so
%{_kf5_datadir}/kstyle/themes/qtcurve.themerc
%{_kf5_datadir}/kxmlgui5/QtCurve/

#--------------------------------------------------------------------

%define major_cairo	1
%define libname_cairo	%mklibname qtcurve-cairo %{major_cairo}

%package -n	%{libname_cairo}
Summary:	Runtime libraries for QtCurve Cairo
Group:		System/Libraries

%description -n	%{libname_cairo}
Runtime libraries for QtCurve Cairo.

%files -n %{libname_cairo}
%{_libdir}/libqtcurve-cairo.so.%{major_cairo}{,.*}

#--------------------------------------------------------------------

%define major_utils	2
%define libname_utils	%mklibname qtcurve-utils %{major_utils}

%package -n	%{libname_utils}
Summary:	Runtime libraries for QtCurve Utils
Group:		System/Libraries

%description -n	%{libname_utils}
Runtime libraries for QtCurve Utils.

%files -n %{libname_utils}
%{_libdir}/libqtcurve-utils.so.%{major_utils}{,.*}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tar_ver}

%build
%cmake \
	-DENABLE_QT4=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}

# unpackaged files
rm -fv %{buildroot}%{_libdir}/libqtcurve-{cairo,utils}.so



%changelog
* Sun Sep 11 2022 neoclust <neoclust> 1.9.1-1.mga9
+ Revision: 1886916
- New version 	1.9.1

* Thu Dec 17 2020 umeabot <umeabot> 1.9.0-5.mga9
+ Revision: 1659621
- Rebuild for new Qt5

* Wed Jul 22 2020 daviddavid <daviddavid> 1.9.0-4.mga8
+ Revision: 1607768
- add upstream patch to fix build with Qt 5.15

* Sat Feb 15 2020 daviddavid <daviddavid> 1.9.0-3.mga8
+ Revision: 1526239
- backport upstream fixes to fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.9.0-2.mga7
+ Revision: 1384357
- Qt5 Rebuild

* Sun Sep 16 2018 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1259253
- new version: 1.9.0 (now become a KDE project)
- enable Qt5/Kf5 support
- project is now named qtcurve
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.8.16-5.mga6
+ Revision: 939780
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.16-4.mga5
+ Revision: 746645
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.16-3.mga5
+ Revision: 688538
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.8.16-2.mga4
+ Revision: 538276
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 1.8.16-1.mga4
+ Revision: 489159
- New version: 1.8.16

* Sun Jan 13 2013 umeabot <umeabot> 1.8.15-2.mga3
+ Revision: 379966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 fwang <fwang> 1.8.15-1.mga3
+ Revision: 294837
- new version 1.8.15

* Mon Oct 24 2011 fwang <fwang> 1.8.12-1.mga2
+ Revision: 157633
- new version 1.8.12
- new version 1.8.9

* Thu May 05 2011 mikala <mikala> 1.8.8-1.mga1
+ Revision: 94996
- Remove BuildRoot tag
- imported package qtcurve-gtk2

